package com.jscape.inet.ssh.protocol.v2.connection;

/**
 * @author Alex Usun
 */
public enum Signal {

    SIG_ABRT("ABRT"),
    SIG_ALRM("ALRM"),
    SIG_FPE("FPE"),
    SIG_HUP("HUP"),
    SIG_ILL("ILL"),
    SIG_INT("INT"),
    SIG_KILL("KILL"),
    SIG_PIPE("PIPE"),
    SIG_QUIT("QUIT"),
    SIG_SEGV("SEGV"),
    SIG_TERM("TERM"),
    SIG_USR1("USR1"),
    SIG_USR2("USR2");

    public final String code;

    Signal(String code) {
        this.code = code;
    }
}
